#ifndef MAIN_H_
#define MAIN_H_


#include <inttypes.h>
#include <stdlib.h>
#include <string.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/sleep.h>
#include <util/delay.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>


// macros
#define SBI(port, bit)	(port |= _BV(bit))
#define CBI(port, bit)	(port &= ~_BV(bit))
#define NOP() asm volatile("nop")


#endif
